﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Common;
using Telerik.Windows.Controls;

namespace Module1.ViewModels
{
	public class FlandersViewModel : ViewModelBase
	{
		public FlandersViewModel()
		{
			Title = "The Flanders";
			Items = new ObservableCollection<DataItem>();

			Items.Add(new DataItem("Ned"));
			Items.Add(new DataItem("Maude"));
			Items.Add(new DataItem("Todd"));
			Items.Add(new DataItem("Rod"));
			Items.Add(new DataItem("Tina"));
		}
		public string Title { get; set; }
		public ObservableCollection<DataItem> Items { get; set; }

		
		private bool isSelected;
		public bool IsSelected
		{
			get
			{
				return this.isSelected;
			}
			set
			{
				if (this.isSelected != value)
				{
					this.isSelected = value;
					OnPropertyChanged("IsSelected");
				}
			}
		}
        
	}
}
