﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Common;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace Module2.ViewModels
{
	public class SimpsonViewModel : ViewModelBase
	{
		public SimpsonViewModel()
		{
			this.Title = "The Simpson";

			Items = new ObservableCollection<DataItem>();

			Items.Add(new DataItem("Homer"));
			Items.Add(new DataItem("Marge"));
			Items.Add(new DataItem("Bart"));
			Items.Add(new DataItem("Lisa"));
			Items.Add(new DataItem("Maggie"));
		}
		public string Title { get; set; }
		public ObservableCollection<DataItem> Items { get; set; }

		private bool isSelected;
		public bool IsSelected
		{
			get
			{
				return this.isSelected;
			}
			set
			{
				if (this.isSelected != value)
				{
					this.isSelected = value;
					OnPropertyChanged("IsSelected");
				}
			}
		}
	}
}
